org.appng.xml.platform

## Class ApplicationRootConfig

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.ApplicationRootConfig

- All Implemented Interfaces:
    Serializable

      public class ApplicationRootConfig
      extends BaseObject
      implements Serializable

  The root configuration of the application, defining `SessionParams` and `Navigation`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ApplicationConfig` | `config`
    `protected String` | `id`
    `protected String` | `name`
    `protected Linkpanel` | `navigation`
    `protected Pages` | `pages`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationRootConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationConfig` | `getConfig()` Gets the value of the config property.
    `String` | `getId()` The id for this config.
    `String` | `getName()` Gets the value of the name property.
    `Linkpanel` | `getNavigation()` Gets the value of the navigation property.
    `Pages` | `getPages()` Gets the value of the pages property.
    `void` | `setConfig(ApplicationConfig value)` Sets the value of the config property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setNavigation(Linkpanel value)` Sets the value of the navigation property.
    `void` | `setPages(Pages value)` Sets the value of the pages property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### config

          protected ApplicationConfig config

    - #### navigation

          protected Linkpanel navigation

    - #### pages

          protected Pages pages

    - #### id

          protected String id

  - ### Constructor Detail

    - #### ApplicationRootConfig

          public ApplicationRootConfig()

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getConfig

          public ApplicationConfig getConfig()

      Gets the value of the config property.
      Returns:
        possible object is `ApplicationConfig`

    - #### setConfig

          public void setConfig(ApplicationConfig value)

      Sets the value of the config property.
      Parameters:
        `value` - allowed object is `ApplicationConfig`

    - #### getNavigation

          public Linkpanel getNavigation()

      Gets the value of the navigation property.
      Returns:
        possible object is `Linkpanel`

    - #### setNavigation

          public void setNavigation(Linkpanel value)

      Sets the value of the navigation property.
      Parameters:
        `value` - allowed object is `Linkpanel`

    - #### getPages

          public Pages getPages()

      Gets the value of the pages property.
      Returns:
        possible object is `Pages`

    - #### setPages

          public void setPages(Pages value)

      Sets the value of the pages property.
      Parameters:
        `value` - allowed object is `Pages`

    - #### getId

          public String getId()

      The id for this config.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.